/*
 * This file is a part of the SteamWar software.
 *
 * Copyright (C) 2020  SteamWar.de-Serverteam
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package de.steamwar.bausystem.region.dynamic.special;

import de.steamwar.bausystem.region.RegionType;
import de.steamwar.bausystem.region.dynamic.RegionConstructorData;
import de.steamwar.bausystem.region.dynamic.VariantSelector;
import lombok.NonNull;
import org.bukkit.Bukkit;

import java.io.File;

public class WetSpecialRegion extends SpecialRegion {

    private static final File SECTIONS_DIR = new File(Bukkit.getWorlds().get(0).getWorldFolder(), "sections");
    private static final File RESET_FILE = new File(SECTIONS_DIR, "special/WetRegion.schem");

    public WetSpecialRegion(int minX, int minZ) {
        super(minX, minZ);
        area = new SpecialAreaTile(minX, minZ, VariantSelector.File(RESET_FILE));
    }

    public WetSpecialRegion(RegionConstructorData regionConstructorData) {
        super(regionConstructorData);
        area = new SpecialAreaTile(minX, minZ, VariantSelector.File(RESET_FILE));
    }

    @Override
    public @NonNull RegionType getType() {
        return RegionType.WET_SPECIAL;
    }
}
